#新手指南
## 新版重要变化
**登录入口统一**
原版：魔蓝开放接口和钉钉开放接口需要分别注册登录。
新版：统一注册登录路径。

**内部应用和ISV应用合并为云端接口应用**
原版：开发者可申请开通内部应用权限，或ISV应用权限。
新版：统一在工作台-云端接口应用类目下操作，不再区分内部/isv。
老用户登录后仍可切换至原先管理的“内部应用”。

**云端应用在线调试更便捷**
原版：仅支持魔点平台；接口需要在购买专区申请试用。
新版：支持魔点平台和钉钉平台；
调试界面左下角添加接口，无需申请，即选即用；
调试界面右上角支持一键获取Access Token；
云端APP无需申请发布，调试完毕即可。

![](https://homology-mindoc.moredian.com/uploads/202302/open-doc/attach_17448d98fe880187.png)


## 开发者资质说明

开发者资质只能通过机构主体申请，暂不支持个人主体认证。
### 新用户申请
新用户指以下两种情况：
未注册过魔点版开放接口平台和钉钉版开放接口平台的用户；
未注册过魔蓝办公平台的用户。

首次登录魔点开放平台需先注册，使用手机号或者邮箱进行验证。
![](https://homology-mindoc.moredian.com/uploads/202302/open-doc/attach_17448da8696a6c73.png)

![](https://homology-mindoc.moredian.com/uploads/202302/open-doc/attach_17448dabd40b3b95.png)

登录账号后默认进入开发者资质申请页面，填写申请信息包括机构名称、所在地区、详细地址、人员规模、机构类型、联系人、联系电话、企业邮箱、营业执照。
**提交资质信息会默认创建一个魔点机构，请确保机构名称与营业执照保持一致，否则无法通过审核。**

![](https://homology-mindoc.moredian.com/uploads/202302/open-doc/attach_17448db3ea21d3be.png)

###  老用户申请
老用户指以下两种情况：
已注册魔点/钉钉版开放接口平台的用户；
已注册魔蓝办公平台的用户。

####  没有机构&无开发者资质
登录后默认进入开发者资质申请页面，**提交资质信息会默认创建一个魔点机构，请确保机构名称与营业执照保持一致，否则无法通过审核。**

####  已有机构&无开发者资质
登录后选择相应的机构，进入开发者资质申请/修改页面。**请确保机构名称与营业执照保持一致，否则无法通过审核。**

![](https://homology-mindoc.moredian.com/uploads/202302/open-doc/attach_17448dd54197e7a3.png)

####  已有机构&有开发者资质
登录后选择已具备开发者资质的机构，进入开发者资质信息页面，如信息有误，则点击修改，如没有错误则确认提交。
![](https://homology-mindoc.moredian.com/uploads/202302/open-doc/attach_1745d01ce723a311.png)

**备注：登录页面只展示您的账号具备管理员权限的机构列表。**

![](https://homology-mindoc.moredian.com/uploads/202302/open-doc/attach_17448ddead6f4fee.png)

![](https://homology-mindoc.moredian.com/uploads/202302/open-doc/attach_17448df8169dc5a0.png)

## 开发指引
###  1.云端接口应用-魔点平台
魔点平台：即您的设备激活在魔点平台/魔蓝办公平台。

####  1.1创建应用
每个机构主体最多支持创建3个魔点APP，您可以用于不同场景APP的开发，或者用于开发环境的隔离。
![](https://homology-mindoc.moredian.com/uploads/202302/open-doc/attach_17448eb2499fad2f.png)

####  1.2添加调试机构
创建应用成功后，在应用列表可以获取APPID和APPKey，在相应的APP下添加需要调试的机构信息。
具体请查看接口文档详情。
![](https://homology-mindoc.moredian.com/uploads/202302/open-doc/attach_17448ebf3adbedb7.png)

####  1.3在线调试
您可根据实际业务需求，点击左下角添加相应的场景业务接口。
通过授权机构获取OrgID，根据接口说明，进行在线调试，调试完毕即可应用于线上。
![](https://homology-mindoc.moredian.com/uploads/202302/open-doc/attach_17448eccfcd8774a.png)

![](https://homology-mindoc.moredian.com/uploads/202302/open-doc/attach_17448ecfb414ba12.png)

点击应用名称下方，切换需要调试的机构。

![](https://homology-mindoc.moredian.com/uploads/202302/open-doc/attach_17448ed9b022c651.png)

####  1.4应用详情
进入应用详情页面，可以查看应用授权的机构列表，查看已授权机构的OrgID和OrgKey。
![](https://homology-mindoc.moredian.com/uploads/202302/open-doc/attach_17448eea795dc586.png)

![](https://homology-mindoc.moredian.com/uploads/202302/open-doc/attach_17448eed4bf9945c.png)

###  2.云端接口应用-钉钉平台
钉钉平台：即您的设备激活在钉钉平台。
####  2.1创建应用
每个机构主体最多支持创建3个支持钉钉平台的APP，您可以用于不同场景业务的开发，或者用于开发环境的隔离。
![](https://homology-mindoc.moredian.com/uploads/202302/open-doc/attach_17448f03fc8c0435.png)

####  2.2机构授权
点击添加机构，输入的机构钉钉CorpID，申请授权；被申请授权机构的管理员可打开钉钉的“魔点门禁”微应用，点击右上角>更多>授权协议>同意授权。
CorpID获取路径：[钉钉开放平台-开发者后台](https://open-dev.dingtalk.com/#/ "钉钉开放平台-开发者后台")
![](https://homology-mindoc.moredian.com/uploads/202302/open-doc/attach_17448f32702d7885.png)

![](https://homology-mindoc.moredian.com/uploads/202302/open-doc/attach_17448f38cddaef8d.png)

只有已授权状态的机构可以在线调试。

![](https://homology-mindoc.moredian.com/uploads/202302/open-doc/attach_17448f45f9d61ef8.png)

####  2.3在线调试
您可根据实际业务需求，点击左下角添加相应的场景业务接口。
根据接口说明，进行在线调试，调试完毕即可应用于线上。
![](https://homology-mindoc.moredian.com/uploads/202302/open-doc/attach_17448f507772eb91.png)

点击应用名称下方，切换需要调试的机构。

![](https://homology-mindoc.moredian.com/uploads/202302/open-doc/attach_17448f8a083fcfcb.png)

####  2.4应用详情
进入应用详情页面，可以查看应用授权的机构列表，查看已授权机构的OrgID和OrgKey。
![](https://homology-mindoc.moredian.com/uploads/202302/open-doc/attach_17448f9558875603.png)

###  3.终端安卓应用-钉钉平台
终端安卓应用，指魔点设备提供终端开放能力，包括智能人脸识别能力开放、硬件能力开放、智能语音能力开放等，支持合作伙伴基于开放接口自研的应用。
目前仅支持单机构模式开放，即一个开发者主体仅支持授权一个机构。
适用于钉钉底座的设备，魔蓝版设备正在研发中。
已支持的设备类型：D2、D3；其它设备如有需求，请联系销售人员。
终端开放使用答疑，请搜索并添加钉钉群号沟通：5440011071。

####  3.1申请开发权限
点击去申请，输入需要服务的机构钉钉CorpID，申请授权；
被申请机构的管理员可打开钉钉的“魔点门禁”微应用，点击右上角>更多>授权协议>同意授权。
CorpID获取路径：[钉钉开放平台-开发者后台](https://open-dev.dingtalk.com/#/ "钉钉开放平台-开发者后台")

![](https://homology-mindoc.moredian.com/uploads/202302/open-doc/attach_17448fc11a337478.png)

![](https://homology-mindoc.moredian.com/uploads/202302/open-doc/attach_17448fc445b64c14.png)

####  3.2MOS设备管理
可查看此机构下激活的设备信息，具体列表字段含义如下：
【设备名称】：设备激活成功后，用户可自定义设备名称。
【设备序列号（SN 号）】：设备生产序列号。 
【设备类型】：魔点设备不同的设备类型代号。
【设备类型名】：魔点设备不同的设备类型代号中文名。
【设备状态】：设备离线 or 在线。 
【创建时间】：设备激活时间。 
【MOS 设备】：是否为开放版设备，即可集成魔点 SDK 进行自研应用开发的设备。
【安装应用】：设备上成功安装的自研应用。
![](https://homology-mindoc.moredian.com/uploads/202302/open-doc/attach_1744909c6548add2.jpg)

####  3.3创建应用

自研应用：仅支持安卓系统的终端应用程序。
进入自研应用列表，点击创建应用，填写应用名称、使用场景和应用描述。
应用创建完成，会生成此应用专属的 Appkey，基于此App key可进行应用的研发、调试、推送至MOS设备和应用升级等操作。
若当前机构下无激活的MOS设备，则无法进行以上操作。
![](https://homology-mindoc.moredian.com/uploads/202302/open-doc/attach_174490be1837a40d.jpg)

![](https://homology-mindoc.moredian.com/uploads/202302/open-doc/attach_174490d05396aa89.jpg)

####  3.4上传应用 
同意魔点科技开放平台免责协议后可上传应用文件。
在每次上传应用文件时，您需要先阅读并同意遵守魔点科技开放平台协议文件。
上传应用文件时填写的应用版本信息，需与上传文件内定义的版本号一致，否则会导致上传失败。
目前一个机构下的 MOS 设备，仅支持一款自研应用的安装。请在创建应用及文件上传前确定好目标上传文件。
上传的自研第三方应用文件大小不可超过 100M，且每个应用每天有20次上传版本次数限制。
![](https://homology-mindoc.moredian.com/uploads/202302/open-doc/attach_174490ec17564552.jpg)

应用上传成功后，一般会在24小时内审核，请耐心等待。
审核成功后，应用状态栏会显示审核通过。

####  3.5推送至设备
应用审核成功，若上传的应用适用的设备类型包含MOS设备，可将应用推送至在线的MOS设备。
![](https://homology-mindoc.moredian.com/uploads/202302/open-doc/attach_174491118caee0f0.jpg)

应用审核失败，则无法推送至设备，需重新上传应用文件。

![](https://homology-mindoc.moredian.com/uploads/202302/open-doc/attach_17449127d78d5506.jpg)

####  3.6更新应用
应用文件如有更新，点击更新应用，上传新的应用文件，平台审核成功后，再推送至在线设备。

####  3.7设备端安装应用
应用成功推送后，设备端在线状态下，当自研应用成功推送后，在线的设备即可会进行应用文件下载与安装。

文件下载成功后即刻会进行应用安装，如下图示。安装成功后，会即刻启动您的自研应用。之后，您就可以在设备上测试使用自研应用了。
![](https://homology-mindoc.moredian.com/uploads/202302/open-doc/attach_174491378cb55f53.png)

####  3.8元石开放V5接口文档
当前处于业务变革期，受多方因素限制元石开放文档无法平铺展示，短期内麻烦开发者跳转至语雀查看元石接口文档，文档更新后会有更新记录，请关注！

更新记录：2024-7-1首版文档上传

公有云文档链接：[《元石开放V5.0接口文档》](https://www.yuque.com/u21768080/lmr1uf/somwp1kgdc7vm7rl?singleDoc "《元石开放V5.0接口文档》")
私有化文档链接：[元石开放V5.0私有化接口文档](https://www.yuque.com/viphou/geon50/nbzedq4ss5loso64 "元石开放V5.0私有化接口文档")